import 'package:get/get.dart';
import 'package:vitalapp/architecture/defines.dart';

class ServerSettingState {
  final RxBool _enableSSL = false.obs;
  final RxString _host = "".obs;
  final RxInt _port = 80.obs;

  /// 是否启用SSL
  bool get enableSSL => _enableSSL.value;
  set enableSSL(bool val) => _enableSSL.updateValue(val);

  /// 主机地址
  String get host => _host.value;
  set host(String val) => _host.updateValue(val);

  /// 端口
  int get port => _port.value;
  set port(int val) => _port.updateValue(val);
}
